﻿@using AdminCaja.Areas.Admin.Models.Financial
@using AdminCaja.Areas.Admin.Models

@model NumbersViewModel
@{
    var lenguajes = new List<DefinicionLenguajes> { new DefinicionLenguajes { Name = "Español", lang = "es" }, new DefinicionLenguajes { Name = "Inglés", lang = "en" } };
}

<div class="row page-titles">
    <div class="col-md-12 col-8 align-self-center">
        <h3 class="text-themecolor m-b-0 m-t-0">Editar Contenidos</h3>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/Admin">Inicio </a></li>
            <li class="breadcrumb-item active"><a href="/Admin/Finantial">Información financiera</a></li>
            <li class="breadcrumb-item active">Caja en cifras</li>
        </ol>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="row">
    <div class="col-12 help-content">

        <ul class="nav nav-tabs wow slideInRight" data-wow-offset="300" id="myTab" role="tablist">
            @foreach (var item in lenguajes)
            {
                if (item.lang == Model.Language)
                {
                    <li class="nav-item">
                        <a class="nav-link active" id="spa-tab" data-toggle="tab" href="#langactivo" role="tab" aria-controls="spa" aria-selected="true">@item.Name</a>
                    </li>

                }
                else
                {
                    <li class="nav-item">
                        <a class="nav-link" id="@item.lang-tab" href="/Admin/Finantial/EditFinantial?lang=@item.lang" role="tab" aria-controls="eng" aria-selected="false">@item.Name</a>
                    </li>
                }

            }
        </ul>

        <div class="card wow slideInRight" data-wow-offset="300">
            <!-- <div class="card-block bg-info">
                    <h4 class="text-white card-title">Glosario</h4>
            </div> -->
            <div class="card-block">
                <div class="tab-content" id="myTabContent">
                    <div class="tab-pane show active" id="spa" role="tabpanel" aria-labelledby="spa-tab">
                        @using (@Html.BeginForm("SaveNumbers", "Finantial", FormMethod.Post, new { @class = "form-horizontal form-material", enctype = "multipart/form-data" }))
                        {
                            @Html.HiddenFor(m => m.Language)
                            @Html.HiddenFor(m => m.Tipo)

                            <div class="form-group">
                                @Html.LabelFor(m => m.Title)
                                @Html.EditorFor(m => m.Title, new { htmlAttributes = new { @class = "form-control form-control-line" } })
                                @Html.ValidationMessageFor(m => m.Title)
                            </div>

                            <div class="form-group">
                                <div class="d-flex justify-content-between align-items-center mb-2">
                                    <label class="h6 small d-block text-uppercase mb-0">Cargar imagen de Encabezado</label>
                                </div>
                                <div class="js-focus-state input-group u-form">
                                    <input type="file" name="HeaderImage" id="HeaderImage" style="position: absolute;" class="inputfile custom form-control u-form__input" />
                                    <label for="HeaderImage"><span id="HeaderImageName">@Model.HeaderImageName</span><strong>Seleccionar imagen</strong></label>
                                </div>
                            </div>
                            <dir class="row no-padding">
                                <div class="col-lg-8"></div>
                                <div class="col-lg-4">
                                    <p><a href="/Admin/Financial/template" style="margin: 0;" class="btn btn-success">Descargar plantilla</a></p>
                                </div>
                            </dir>

                            <div class="form-group">
                                <label>Seleccionar período</label>
                                @Html.DropDownListFor(m => m.SelectedPeriod, Model.QuarterList, new { @class = "form-control form-control-line" })
                            </div>
                            <div class="form-group">
                                <div class="d-flex justify-content-between align-items-center mb-2">
                                    <label class="h6 small d-block text-uppercase mb-0">Importar estados financieros</label>
                                </div>
                                <div class="js-focus-state input-group u-form">
                                    <input type="file" name="FinancialData" id="FinancialData" style="position: absolute;" class="inputfile custom form-control u-form__input" />
                                    <label for="FinancialData"><span id="FinancialDataName">@Model.FinancialDataName</span><strong>Seleccionar archivo</strong></label>
                                </div>
                            </div>

                            <div class="form-group">
                                <button type="submit" class="btn btn-primary u-btn-primary transition-3d-hover">Publicar</button>
                            </div>
                        }
                    </div>
                </div>
            </div>
        </div>
    </div>

    @section scripts{
        <script>
            $(function () {
                $('input[type="file"]').change(function () {
                    var fileName = $(this).val().match(/[^\\/]*$/)[0];
                    var span = $("label[for='" + $(this).attr('id') + "']").find("span");
                    span.text(fileName);
                });
            })
        </script>
    }
